#include <iostream>
#include "SNMessageDump.h"

namespace novaddt{
    SNMessageDump::SNMessageDump
        (fhicl::ParameterSet const& p, art::ActivityRegistry& reg):
        fLogFile(p.get<std::string>("filename"))
    { }

    void SNMessageDump::PushPoint(uint64_t time, uint64_t hits){
        fLogFile<<time<<" "<<hits<<std::endl;
    }
    DEFINE_ART_SERVICE_INTERFACE_IMPL(SNMessageDump,SNMessageInterface);
}
